package cn.org.bjca.trust.push.db.device

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query

@Dao
interface DeviceDao {
    @Query("SELECT * FROM device")
    fun getAll(): List<Device>

    @Insert
    fun insertAll(vararg users: Device)

    @Delete
    fun delete(user: Device)
}
